import dataclasses

import msgpack

from source.packets import base


@dataclasses.dataclass
class RequestKeyPacket(base.BasePacket):
    """
    Represent a packet used to request a secret symmetric key
    """

    def pack(self) -> bytes:
        return msgpack.packb(())

    @classmethod
    def unpack(cls, data: bytes):
        return cls()
